Summary:	Asynchronous file transfer service
Name:		sendfile
Version:	2.1b
Release:	%mkrel 14
License:	GPLv2
Group:		Networking/File transfer
URL:		http://www.belwue.de/projekte/saft/sendfile.html
Source:		%{name}-%{version}.tar.bz2
Source1:	sendfile-xinetd
#patch0 sent upstream (Kharec)
Patch0:		sendfile-2.1b-fix-str-fmt.patch
Requires:	xinetd
BuildRequires:	readline-devel

%description
Sendfile is an asynchronous file transfer service for the Internet, like the
sendfile facility in Bitnet: Any user A can send files to another user B
without B being active in any way.

Sendfile which is an implementation of the SAFT protocol (Simple Asynchronous
File Transfer) offers you a true asynchronous file transfer service for the
Internet. Virtually any form of file can be sent, including encrypted ones.

The sendfile package contains 5 main programs:
  sendfiled  - the sendfile daemon which will be started by inetd
  sendfile   - the sendfile client for sending files
  sendmsg    - the send-message client for sending one-line text messages
  receive    - the receive client for picking up already received files
  fetchfile  - the O-SAFT client to obtain files from a remote SAFT server


%prep
%setup -q
%autopatch -p0

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} develop/

%build
%make_build CFLAGS="%{optflags} -DLINUX" LDFLAGS="%{ldflags}"

%install
# install isn't good, so we do it by hand...
%__install -d %buildroot/%_sbindir
%__install src/sendfiled %buildroot/%_sbindir/
%__install -d %buildroot/%_var/spool/sendfile/LOG
%__install -d %buildroot/%_var/spool/sendfile/OUTGOING
%__install -d %buildroot/%_sysconfdir
%__install etc/sendfile.deny %buildroot/%_sysconfdir/
%__install etc/sendfile.cf %buildroot/%_sysconfdir/
%__install -D %SOURCE1 %buildroot/%_sysconfdir/xinetd.d/sendfile
%__install -d %buildroot/%_mandir/man1/
%__install doc/*.1 %buildroot/%_mandir/man1/
%__install -d %buildroot/%_mandir/man1
%__install -D etc/check_sendfile %buildroot/%_sysconfdir/profile.d/sendfile-check.sh
%__install -d %buildroot/%_bindir
%__install src/{sendfile,sendmsg,receive,fetchfile,utf7encode,wlock} %buildroot/%_bindir/
ln -s utf7encode %buildroot/%_bindir/utf7decode
%__install etc/{sfconf,sfdconf} %buildroot/%_bindir/

%post
service xinetd reload

%postun
service xinetd reload

%files
%defattr(0755,root,root,0755)
%_sbindir/*
%_bindir/*
%defattr(0644,root,root,0755)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/doc.txt doc/doku.txt
%doc doc/features doc/LIESMICH* doc/README* doc/THANKS doc/vorteile
%dir %_var/spool/sendfile
%attr(0700,root,root) %dir %_var/spool/sendfile/LOG
%attr(1777,root,root) %dir %_var/spool/sendfile/OUTGOING
%config(noreplace) %_sysconfdir/sendfile.*
%config(noreplace) %_sysconfdir/profile.d/*
%config(noreplace) %_sysconfdir/xinetd.d/*
%_mandir/*/*






%changelog
* Mon Nov 02 2020 wally <wally> 2.1b-14.mga8
+ Revision: 1641738
- update config.{guess,sub} fix for rpm 4.16.0 beta1 and rpm-mageia-setup
+ joequant <joequant>
- remove arm workaround

* Wed Feb 19 2020 umeabot <umeabot> 2.1b-13.mga8
+ Revision: 1542348
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 luigiwalser <luigiwalser> 2.1b-12.mga8
+ Revision: 1476013
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 2.1b-11.mga7
+ Revision: 1300995
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 2.1b-10.mga7
+ Revision: 1242502
- fix build on aarch64
+ kekepower <kekepower>
- Use make_build

* Tue Jan 02 2018 wally <wally> 2.1b-9.mga7
+ Revision: 1189468
- rebuild for new readline

* Fri Feb 12 2016 umeabot <umeabot> 2.1b-8.mga6
+ Revision: 958845
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 danf <danf> 2.1b-7.mga6
+ Revision: 893349
- Fix linking to generate debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 2.1b-6.mga5
+ Revision: 750503
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1b-5.mga5
+ Revision: 689108
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1b-4.mga4
+ Revision: 518322
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.1b-3.mga3
+ Revision: 381937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 02 2011 kharec <kharec> 2.1b-2.mga2
+ Revision: 161547
- imported package sendfile

